/****************************************************************************
 * FCE Ultra
 * Nintendo Wii/Gamecube Port
 *
 * Tantric 2008-2009
 *
 * menu.h
 *
 * Main menu flow control
 ****************************************************************************/

#ifndef _MENU_H
#define _MENU_H

#include <ogcsys.h>
#include "gui/gui.h"

bool GuiLoaded();
void InitGUIThreads();
void MainMenu (int menuitem);
void ErrorPrompt(const char * msg);
int ErrorPromptRetry(const char * msg);
void InfoPrompt(const char * msg);
void ShowAction (const char *msg);
void CancelAction();
void ShowProgress (const char *msg, int done, int total);
void ResetText();

///
u64 BuildGamelist() ;
//unsigned long long BuildGamelist() ;
class GuiImageData;
GuiImageData *LoadCoverImage(struct romHdr *header, bool Prefere3D=true, bool noCover=true);
///

enum
{
	MENU_EXIT = -1,
	MENU_NONE,
	MENU_SETTINGS,
	MENU_SETTINGS_FILE,
	MENU_SETTINGS_MENU,
	MENU_SETTINGS_NETWORK,
	MENU_GAMESELECTION,
	MENU_GAME,
	MENU_GAME_SAVE,
	MENU_GAME_LOAD,
	MENU_GAMESETTINGS,
	MENU_GAMESETTINGS_MAPPINGS,
	MENU_GAMESETTINGS_MAPPINGS_CTRL,
	MENU_GAMESETTINGS_MAPPINGS_MAP,
	MENU_GAMESETTINGS_VIDEO,
	MENU_GAMESETTINGS_CHEATS
};

struct romHdr {
	char title[64];
	//u16	offset;	//used to keep track of what file in the folder this game is compared to non-rom files
	//unsigned short offset;	
u16	offset;
} ATTRIBUTE_PACKED;


#endif
